$regfile = "attiny2313.dat"
Config Portd.1 = Output
Config Portd.6 = Output
'Config Portd = Output  'dla testw na avt-3500
'Config Portb = Output  'dla testw na avt-3500

Dim B As Byte
Dim I As Byte

Declare Sub Zapal_zarowke
Declare Sub Zapal_led
Declare Sub Blad

Zarowka Alias Portd.6         '11pin
Led Alias Portd.1             '3pin
Zarowka = 0 : Led = 0
'Portd = 0              'dla testw na avt-3500

Do
   Readeeprom B , 8
   Waitms 55

   If B = 170 Then            'jesli w 8 komrce EEPROM'u jest wartoc to zapal po 3 sekundach zarwke
      Call Zapal_zarowke	  ' 170 = 10101010 bin
      Exit Do
   End If

   If B = 85 Then			  ' 85 = 01010101 bin
      Call Zapal_led
      Exit Do
   End If

   If B <> 170 And B <> 85 Then       'czyli jesli zapis do eeprom sie nie powid
      Call Blad
   End If
Loop
End                           'end program

Sub Zapal_zarowke
   B = 85
   Writeeeprom B , 8
   Waitms 500
   For I = 0 To 10
      Toggle Led
      Waitms 200
   Next I
   Reset Led
   Set Zarowka
End Sub

Sub Zapal_led
   B = 170
   Writeeeprom B , 8
   Wait 1
   Set Led
End Sub

Sub Blad
   B = 85
   Writeeeprom B , 8
   Wait 1
End Sub
